FixedLengthPack (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface FixedLengthPack

- All Superinterfaces:
    MetadataObject
  All Known Subinterfaces:
    LocalTagEntry, PrimerPack
  All Known Implementing Classes:
    BodyClosedCompletePartitionPackImpl, BodyClosedIncompletePartitionPackImpl, BodyOpenCompletePartitionPackImpl, BodyOpenIncompletePartitionPackImpl, BodyPartitionPackImpl, FooterClosedCompletePartitionPackImpl, FooterClosedIncompletePartitionPackImpl, FooterPartitionPackImpl, HeaderClosedCompletePartitionPackImpl, HeaderClosedIncompletePartitionPackImpl, HeaderOpenCompletePartitionPackImpl, HeaderOpenIncompletePartitionPackImpl, HeaderPartitionPackImpl, IndexPrimerPackImpl, LocalTagEntryImpl, PartitionPackImpl, PrimerPackImpl

      public interface FixedLengthPack
      extends MetadataObject

  Labels a metadata object that can be serialized as a fixed length pack for which the order of the values in the buffer is important. All properties of a fixed length pack must have a fixed length, with the exception of the last property that is either of fixed size or is and array with length encoded as part of the property.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getPackOrder()` Returns a list of property names in the order they need to be serialized to a stream.

- - ### Method Detail

    - #### getPackOrder

          String[] getPackOrder()

      Returns a list of property names in the order they need to be serialized to a stream.

      Returns:
        List of property names in the order they need to be serialized.
      See Also:
        `MXFBuilder.readFixedLengthPack(tv.amwa.maj.record.AUID, java.nio.ByteBuffer)`, `MXFBuilder.writeFixedLengthPack(FixedLengthPack, java.nio.ByteBuffer)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.